#include "qcd_graphic.h"
#include "ui_qcd_graphic.h"
#include "cdutils_core.h"
#include "cdutils_x.h"
#include "graphic.h"
#include "piqt.h"

using namespace CDUtils;


CDGraphicWidget::CDGraphicWidget(QWidget * p): QWidget(p) {
	ui = new Ui::CDGraphicWidget();
	ui->setupUi(this);
	ui->graphic->setGraphicsCount(0);
}


Graphic * CDGraphicWidget::graphic() const {
	return ui->graphic;
}


void CDGraphicWidget::setConfigVisible(bool on) {
	ui->widgetConfig->setVisible(on);
}


bool CDGraphicWidget::isConfigVisible() const {
	return ui->widgetConfig->isVisible();
}


EvalSpinBox * CDGraphicWidget::evalSpinBoxHistory() {
	return ui->evalHistory;
}


EvalSpinBox * CDGraphicWidget::evalSpinBoxVisible() {
	return ui->evalVisible;
}
